# XmScreen

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmScreen

## SYNOPSIS

#include <Xm/Screen.h>

XmScreen

## DESCRIPTION

XmScreen is an internal class, it should not be used by application programs.

## X RESOURCES

Name | Class | Type | Default | Access

XmNdarkThreshold | XmCDarkThreshold | Int | 0 | CSG
XmNlightThreshold | XmCLightThreshold | Int | 0 | CSG
XmNforegroundThreshold | XmCForegroundThreshold | Int | 0 | CSG
XmNdefaultNoneCursorIcon | XmCDefaultNoneCursorIcon | Widget | NULL | CSG
XmNdefaultValidCursorIcon | XmCDefaultValidCursorIcon | Widget | NULL | CSG
XmNdefaultInvalidCursorIcon | XmCDefaultInvalidCursorIcon | Widget | NULL | CSG
XmNdefaultMoveCursorIcon | XmCDefaultMoveCursorIcon | Widget | NULL | CSG
XmNdefaultLinkCursorIcon | XmCDefaultLinkCursorIcon | Widget | NULL | CSG
XmNdefaultCopyCursorIcon | XmCDefaultCopyCursorIcon | Widget | NULL | CSG
XmNdefaultSourceCursorIcon | XmCDefaultSourceCursorIcon | Widget | NULL | CSG
XmNmenuCursor | XmCCursor | Cursor | arrow | CSG
XmNunpostBehavior | XmCUnpostBehavior | UnpostBehavior | NULL | CSG
XmNfont | XmCFont | FontStruct | Fixed | CSG
XmNhorizontalFontUnit | XmCHorizontalFontUnit | Int | -1 | CSG
XmNverticalFontUnit | XmCVerticalFontUnit | Int | -1 | CSG
XmNmoveOpaque | XmCMoveOpaque | Boolean | NULL | CSG

XmNdarkThreshold

XmNlightThreshold

XmNforegroundThreshold

XmNdefaultNoneCursorIcon

XmNdefaultValidCursorIcon

XmNdefaultInvalidCursorIcon

XmNdefaultMoveCursorIcon

XmNdefaultLinkCursorIcon

XmNdefaultCopyCursorIcon

XmNdefaultSourceCursorIcon

XmNmenuCursor

XmNunpostBehavior

XmNfont

XmNhorizontalFontUnit

XmNverticalFontUnit

XmNmoveOpaque

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) XmScreen(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.